View Issue Details

This bug affects 1 person(s).
 10
IDProjectCategoryView StatusLast Update
16430Bug reportsOtherpublic2020-07-06 13:20
Reportercdorin Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.22.22 
Summary16430: Testing a question will not be possible if admin participated in cookie enable survey - for LS3
DescriptionSame issue as 16219 but for LTS
Additional Informationthanks @DenisChenu for confirmation
TagsNo tags attached.
Bug heat10
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database type & versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2020-06-26 08:55

developer   ~58512

Survey with cookie enable : it's the important part …

I update the title
gabrieljenik

gabrieljenik

2020-06-30 18:05

manager   ~58597

Last edited: 2020-07-02 14:50

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1459

Avoidng validation if we are on preview mode.

user225042

2020-07-02 12:09

  ~58642

Last edited: 2020-07-02 14:50

Tested the issue by checking out to branch, followed the steps mentioned above was able to view the question successfully after clicking on Preview question button from Question Editor.
Please refer the screenshot for more details.
16430_CookiesQueEdit.png (37,259 bytes)   
16430_CookiesQueEdit.png (37,259 bytes)   
guest

guest

2020-07-02 14:55

viewer   ~58654

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30245
lime_release_bot

lime_release_bot

2020-07-06 13:20

administrator   ~58703

Fixed in Release 3.22.25+200706

Related Changesets

LimeSurvey: 3.x-LTS 4edbc0e8

2020-07-02 14:44:19

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16430: Testing a question will not be possible if admin participated in the survey (#1459) Affected Issues
16430
mod - application/controllers/survey/index.php Diff File

Issue History

Date Modified Username Field Change
2020-06-25 22:21 cdorin New Issue
2020-06-25 22:37 cdorin Status new => confirmed
2020-06-26 08:55 DenisChenu Note Added: 58512
2020-06-26 08:55 DenisChenu Summary Testing a question will not be possible if admin participated in the survey - for LS3 => Testing a question will not be possible if admin participated in cookie enable survey - for LS3
2020-06-30 18:05 gabrieljenik Note Added: 58597
2020-07-02 12:09 user225042 Note Added: 58642
2020-07-02 12:09 user225042 File Added: 16430_CookiesQueEdit.png
2020-07-02 14:50 swendrich Status confirmed => resolved
2020-07-02 14:55 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 4edbc0e8
2020-07-02 14:55 guest Note Added: 58654
2020-07-06 13:20 lime_release_bot Note Added: 58703
2020-07-06 13:20 lime_release_bot Status resolved => closed
2020-07-06 13:20 lime_release_bot Resolution open => fixed